Xdebug, Geben, & Emacs for PHP on Ubuntu 10.4

The default emacs package on Ubuntu is an older version which doesn't work with php-mode.el, sr-speedbar, and a bunch of other useful PHP-editing extensions. However, it's not sufficient to simply compile the latest Emacs from source, because you'll need the matching Xdebug version as well. So we'll need to install all three from source.

(Note:If you can live without PHP-editing features, just install the defaults with sudo apt-get install php5-xdebug emacs and skip to the Geben section)

Xdebug 2.1.0RC1

# Note: If you get permission issues when make-installing, try running these commands as root outside your home directory
cd ~
sudo apt-get install php5-dev
wget http://xdebug.org/files/xdebug-2.1.0RC1.tgz
tar
xzf xdebug-2.1.0RC1.tgz
cd xdebug-2.1.0RC1
phpize
./configure --enable-xdebug
make
sudo make install

Finally, make sure that you have something similar to the following in your /etc/php5/conf.d/xdebug.ini file:

[xdebug]
zend_extension=/usr/lib/php5/20090626/xdebug.so
xdebug.remote_enable=On
xdebug.remote_host=127.0.0.1
xdebug.remote_port=9000
xdebug.remote_autostart=On
xdebug.remote_handler="dbgp"

Emacs 23.2

cd ~
wget http://ftp.gnu.org/pub/gnu/emacs/emacs-23.2.tar.gz
tar
xzf emacs-23.2.tar.gz
cd emacs-23.2
./configure  --without-x
make
sudo make install

Geben 0.26

cd ~
wget http://geben-on-emacs.googlecode.com/files/geben-0.26.tar.gz
tar
xzf geben-0.26.tar.gz
cd geben-0.26
make
sudo make install

1 Comments

Web Redesigning Services Singapore

You have rightly updated me that default emacs package on Ubuntu is an older version which doesn't work with php-mode.el, sr-speedbar, and a bunch of other useful PHP-editing extensions.I think I should now download matching xdeburg version to encounter this problem.,.

Web Redesigning Services Singapore